aboutsummaryrefslogtreecommitdiff
path: root/build.OSF1
diff options
context:
space:
mode:
authorGuido Günther <agx@sigxcpu.org>2009-01-08 15:39:24 +0100
committerGuido Guenther <agx@sigxcpu.org>2009-01-08 15:39:24 +0100
commit7bb8b22d8da0f6a398e2102a20d885d885339496 (patch)
tree94e1c50195604b3bd532cc703e90f9eb96e80d67 /build.OSF1
import initial version
from https://www.sdn.sap.com/irj/scn/go/portal/prtroot/docs/library/uuid/dd6fc290-0201-0010-c190-86ce775d5673
Diffstat (limited to 'build.OSF1')
-rwxr-xr-xbuild.OSF137
1 files changed, 37 insertions, 0 deletions
diff --git a/build.OSF1 b/build.OSF1
new file mode 100755
index 0000000..b7134d4
--- /dev/null
+++ b/build.OSF1
@@ -0,0 +1,37 @@
+#!/bin/sh
+#
+# $Id: build.OSF1,v 1.2 1999/08/24 14:39:31 d019080 Exp $
+#
+OBJ=".o"
+CC="cc"
+CFLAGS="-std1 -g -DXDEBUG=1"
+RM="rm -f"
+EXE=""
+LD="$CC"
+LDFLAGS=""
+LDTARGET='-o $@'
+XD=""
+LDLIBS=""
+SHEXT=".so"
+SHFLAGS=""
+LINK_SHARED="ld -shared"
+LINK_SHARED_END="-lc"
+
+# needs LD_LIBRAR_PATH if gssapi library is a true shared library
+# preferably, the gssapi library should be an archive library
+# of position-independent objects so that setting LD_LIBRARY_PATH
+# will not be necessary for the executable
+#
+#VENLIB="-L/your/software/path -rpath /your/software/path -lgssapi"
+VENLIB=""
+if [ "$VENLIB" = "" ] ; then
+ echo "***"
+ echo "*** Please edit $0 and define VENLIB to link your"
+ echo "*** GSS-API v2 shared library"
+ echo "***"
+ exit 1
+fi
+
+export OBJ CC CFLAGS RM EXE LDLIBS LD LDTARGET LDFLAGS XD
+export SHEXT SHFLAGS LINK_SHARED LINK_SHARED_END VENLIB
+"$@"